<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { computed } from 'vue';

const props = defineProps({
    position: {
        type: String
    },
    color: {
        type: String,
        default:'#ffffff'
    }
});

const computedArrowColor = computed(()=>{
    return `${props.color} transparent transparent transparent`
});

</script>
<template>
    <div class="max-w-[calc(100dvw-49%)] min-w-56 p-4 rounded-md relative my-1.5 drop-shadow before:absolute before:border-solid before:border-t-8 before:border-r-8 before:border-b-0 before:border-l-8 before:border-r-transparent before:border-b-transparent before:border-l-transparent before:top-3"
        :style="{ backgroundColor: color, '--bgColor': computedArrowColor}"
        :class="position === 'left' ? 'message-left self-start ml-3 before:-left-2 ' :'message-right self-end mr-3 before:-right-2 '">
        <slot></slot>
    </div>
</template>
<style scoped>

.message-right::before {
    border-color: var(--bgColor)
}
.message-left::before {
    border-color: var(--bgColor);
}
</style>
